using System;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.EventSystems;
using System.Collections;
using System.Collections.Generic;
using MVR.FileManagementSecure;

namespace McKlinton
{
    public static class SolarizedColors
    {
        // Solarized color palette
        public static readonly Color32 Base03 = new Color32(0, 43, 54, 255);
        public static readonly Color32 Base02 = new Color32(7, 54, 66, 255);
        public static readonly Color32 Base01 = new Color32(88, 110, 117, 255);
        public static readonly Color32 Base00 = new Color32(101, 123, 131, 255);
        public static readonly Color32 Base0 = new Color32(131, 148, 150, 255);
        public static readonly Color32 Base1 = new Color32(147, 161, 161, 255);
        public static readonly Color32 Base2 = new Color32(238, 232, 213, 255);
        public static readonly Color32 Base3 = new Color32(253, 246, 227, 255);
        public static readonly Color32 Yellow = new Color32(181, 137, 0, 255);
        public static readonly Color32 Orange = new Color32(203, 75, 22, 255);
        public static readonly Color32 Red = new Color32(220, 50, 47, 255);
        public static readonly Color32 Magenta = new Color32(211, 54, 130, 255);
        public static readonly Color32 Violet = new Color32(108, 113, 196, 255);
        public static readonly Color32 Blue = new Color32(38, 139, 210, 255);
        public static readonly Color32 Cyan = new Color32(42, 161, 152, 255);
        public static readonly Color32 Green = new Color32(133, 153, 0, 255);

        // Light theme colors
        public static class LightTheme
        {
            public static readonly Color32 Background = Base3;
            public static readonly Color32 Foreground = Base00;
            public static readonly Color32 PrimaryContent = Base00;
            public static readonly Color32 SecondaryContent = Base01;
            public static readonly Color32 EmphasizedContent = Base02;
            public static readonly Color32 HighlightedBackground = Base2;
        }

        // Dark theme colors
        public static class DarkTheme
        {
            public static readonly Color32 Background = Base03;
            public static readonly Color32 Foreground = Base0;
            public static readonly Color32 PrimaryContent = Base0;
            public static readonly Color32 SecondaryContent = Base1;
            public static readonly Color32 EmphasizedContent = Base2;
            public static readonly Color32 HighlightedBackground = Base02;
        }
    }

    public static class UIHelper
    {
        public static Texture2D loadTextureFromFile(string filePath)
        {
            byte[] fileData = FileManagerSecure.ReadAllBytes(filePath);
            Texture2D texture = null;
            if (fileData != null)
            {
                texture = new Texture2D(2, 2);
                texture.LoadImage(fileData);
            }
            return texture;
        }
    }
}